Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Framework_Component_T.h File Reference

`#include "ace/Framework_Component.h"`
`#include "ace/Framework_Component_T.cpp"`

Include dependency graph for Framework_Component_T.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Framework_Component_T< Concrete >
| This class inherits the interface of the abstract ACE_Framework_Component class and is instantiated with the implementation of the concrete component class <class concrete="">. More...
## Defines
#define | ACE_REGISTER_FRAMEWORK_COMPONENT(CLASS, INSTANCE)

## Detailed Description

Id
  Framework_Component_T.h,v 1.6 2005/10/28 16:14:52 ossama Exp

Author:
  Don Hinton <dhinton@ieee.org>

## Define Documentation

#define ACE_REGISTER_FRAMEWORK_COMPONENT | ( | CLASS,
|  | INSTANCE |  | ) |

| Value:
    ACE_Framework_Repository::instance ()->register_component \
              (new ACE_Framework_Component_T<CLASS> (INSTANCE));